### Method

# FwupdPlugin Efivars set_boot_entry

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_efivars_set_boot_entry (
      FuEfivars* self,
      guint16 idx,
      FuEfiLoadOption* entry,
      GError** error
    )

#### Description [src]

Sets the loadopt data of the `BootXXXX` variable.

Available since: 2.0.0

#### Parameters

`idx`

  Type: `guint16`

  Boot index, typically 0x0001.

`entry`

  Type: `FuEfiLoadOption`

  A `FuEfiLoadOption`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.